package com.wanyue.main.api.project;

import android.os.Parcel;

import com.alibaba.fastjson.JSONObject;
import com.wanyue.common.server.entity.Data;
import com.wanyue.main.api.MainAPI;

import io.reactivex.Observable;

/*我的购买*/
public class MyBuyCourseProjectDataProvider extends ProjectDataProvider {

    public  MyBuyCourseProjectDataProvider(){

    }

    @Override
    public Observable<Data<JSONObject>> getData(int p) {
        return MainAPI.getMyBuyCourseList(p);
    }
    protected MyBuyCourseProjectDataProvider(Parcel in) {
        super(in);
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        super.writeToParcel(dest,flags);
    }

    @Override
    public int describeContents() {
        return 0;
    }

    public static final Creator<MyBuyCourseProjectDataProvider> CREATOR = new Creator<MyBuyCourseProjectDataProvider>() {
        @Override
        public MyBuyCourseProjectDataProvider createFromParcel(Parcel in) {
            return new MyBuyCourseProjectDataProvider(in);
        }

        @Override
        public MyBuyCourseProjectDataProvider[] newArray(int size) {
            return new MyBuyCourseProjectDataProvider[size];
        }
    };
}
